Subject: New Reply Received - Hi, I ordered a pram on this website from Brisbane, Australia on 18 August 2020 and got charged with...
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sat, 05 Sep 2020 07:59:23 +0000

Hi Ezzaldeen Mahyoub,  The customer has responded to the ticket.  Hi, I ordered a pram on this website from Brisbane, Australia on 18 August 2020 and got charged with...  Ticket comment <div>I would like full refund as soon as possible? I have sent you copies of the statement from my account of $391.88 the purchase of the order with the order number 206957 and my billing details also with shipping address to my son who is soon to be a father as this was a gift for my grandbaby.
Regards 
Metua Rongo</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1456161